> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get user history by email address

GET https://api-d.docusign.net/Management/v2/organizations/{organizationId}/users/profile

Returns historical information about users with a specific email address.
**Note:** The `email` query parameter is *required*.

To get a list of users in an organization,
use [Users: getUsers](/docs/admin-api/reference/usermanagement/users/getusers/)
instead.

For example, the following request gets information about
accounts that use `max@example.net` as an email address:

```bash
GET /Management/v2/organizations/96e994fa-xxxx-xxxx-xxxx-c5fe9d1ccd10/users/profile?email=max@example.net

{
  "users": [
    {
      "id": "6b67a1ee-xxxx-xxxx-xxxx-385763624163",
      "site_id": 1,
      "site_name": "Monadnock",
      "user_name": "Max Example",
      "first_name": "Max",
      "last_name": "Example",
      "user_status": "active",
      "default_account_id": "f636f297-xxxx-xxxx-xxxx-8e7a14715950",
      "default_account_name": "BizCo",
      "is_organization_admin": false,
      "created_on": "2019-04-01T22:11:56.457",
      "memberships": [
        {
          "email": "max@example.net",
          "account_id": "624e3e00-xxxx-xxxx-xxxx-43918c520dab",
          "external_account_id": "17xxxxx1",
          "account_name": "LoanCo",
          "is_external_account": false,
          "status": "active",
          "permission_profile": { },
          "created_on": "2019-04-01T22:11:56.457",
          "groups": [ ],
          "is_admin": false
        },
        {
          "email": "max@example.net",
          "account_id": "f636f297-xxxx-xxxx-xxxx-8e7a14715950",
          "external_account_id": "25xxxxx0",
          "account_name": "BizCo",
          "is_external_account": true,
          "status": "active",
          "permission_profile": { },
          "created_on": "2021-07-07T15:10:51.96",
          "groups": [ ],
          "is_admin": false
        },
        {
          "email": "max@example.net",
          "account_id": "6aed3a52-xxxx-xxxx-xxxx-e89988167cfd",
          "external_account_id": "11xxxxx1",
          "account_name": "SleepCo",
          "is_external_account": true,
          "status": "closed",
          "permission_profile": { },
          "created_on": "2021-07-11T12:40:44.26",
          "groups": [],
          "is_admin": true,
          "closed_on": "2021-07-13T08:40:51.8"
        }
      ],
      "identities": [],
      "device_verification_enabled": false
    }
  ]
}
```

The response includes up to the first 20 users modified in the last 10 days.

[Required authentication scopes](/docs/admin-api/admin101/auth/): `user_read`.

### Related topics

* [How to Audit Users](/docs/admin-api/how-to/audit-users/)

Reference: https://developers.docusign.com/docs/admin-api/reference/usermanagement/esignusermanagement/getuserprofiles

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization ID Guid

### Query parameters

- `email` (string, optional) — The email address associated with the users you want to retrieve. **Note:** This property is required.
- `include_license` (boolean, optional) — When true: additional details about the user's license will be included in the response. The account must have an IAM plan with licenses.

## Response

### 200

OK

- `users` (list of UserDrilldownResponse, optional) — A list of users.

## Types

### UserDrilldownResponse

Information about a user.

- `id` (string, optional) — The user's unique ID.
- `site_id` (integer, optional) — The site ID of the organization.
- `site_name` (string, optional) — The site name of the account.
- `user_name` (string, optional) — The full name of the user.
- `first_name` (string, optional) — The user's first name.
- `last_name` (string, optional) — The user's last name.
- `user_status` (string, optional) — The user's status. One of: - `active` - `created` - `closed`
- `default_account_id` (string, optional) — The ID of the user's default account.
- `default_account_name` (string, optional) — The name of the user's default account.
- `language_culture` (string, optional) — The language and culture of the user. - Chinese Simplified: `zh_CN` - Chinese Traditional: `zh_TW` - Dutch: `nl` - English: `en` - French: `fr` - German: `de` - Italian: `it` - Japanese: `ja` - Korean: `ko` - Portuguese: `pt` - Portuguese Brazil: `pt_BR` - Russian: `ru` - Spanish: `es`
- `selected_languages` (string, optional)
- `federated_status` (string, optional) — The user's federated status. One of: - `RemoveStatus` - `FedAuthRequired` - `FedAuthBypass` - `Evicted`
- `is_organization_admin` (boolean, optional) — When **true,** the user has organization administration privileges.
- `created_on` (datetime, optional) — The date the user's account was created.
- `last_login` (datetime, optional) — This property has been deprecated.
- `memberships` (list of MembershipResponse, optional) — A list of organizations that have groups that the user is a member of.
- `identities` (list of UserIdentityResponse, optional) — A list of identities associated with the user.
- `device_verification_enabled` (boolean, optional)
- `allow_extend_org_admin_rights_to_self` (boolean, optional)
- `allow_two_step_verification_snooze` (boolean, optional)
- `is_managed_by_scim` (boolean, optional)
- `require_two_step_verification` (boolean, optional)

### MembershipResponse

Information about group membership.

- `email` (string, optional) — The email address.
- `account_id` (string, optional) — The ID of the account.
- `external_account_id` (string, optional) — The external account ID.
- `account_name` (string, optional) — The name of the account.
- `is_external_account` (boolean, optional) — When **true,** this is an external account.
- `status` (string, optional) — The status of the user's membership.
- `permission_profile` (PermissionProfileResponse, optional) — This object is an individual permission profile response.
- `created_on` (datetime, optional) — The date the user's account was created.
- `groups` (list of MemberGroupResponse, optional) — A list of groups the user is a member of in this account,
- `is_admin` (boolean, optional) — When **true,** the user has administration privileges on the account.
- `id` (string, optional)
- `license_type` (string, optional)
- `plan_name` (string, optional)
- `subscription_id` (string, optional)

### UserIdentityResponse

Results of deleting a user identity.

- `id` (string, optional) — The ID of the result.
- `provider_id` (string, optional) — The ID of the identity provider.
- `user_id` (string, optional) — The user ID.
- `immutable_id` (string, optional) — A unique ID to identify the removed user.
- `error_details` (ErrorDetails, optional) — Errors.

### PermissionProfileResponse

This object is an individual permission profile response.

- `id` (long, optional) — The ID of the permission profile.
- `name` (string, optional) — The name of the permission profile. Example: `DocuSign Sender`

### MemberGroupResponse

And individual group responses,.

- `id` (long, optional) — The unique ID of the group.
- `name` (string, optional) — The name of the group.
- `type` (string, optional) — The type of group. One of: - `invalid` - `admin_group` - `everyone_group` - `custom_group`

### ErrorDetails

Errors.

- `error` (string, optional) — The code for the error.
- `error_description` (string, optional) — A description of the error.

## Examples

**Response**

```json
{
  "users": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "site_id": 1,
      "site_name": "string",
      "user_name": "string",
      "first_name": "string",
      "last_name": "string",
      "user_status": "string",
      "default_account_id": "00000000-0000-0000-0000-000000000000",
      "default_account_name": "string",
      "language_culture": "string",
      "selected_languages": "string",
      "federated_status": "string",
      "is_organization_admin": true,
      "created_on": "2024-01-15T09:30:00Z",
      "last_login": "2024-01-15T09:30:00Z",
      "memberships": [
        {
          "email": "string",
          "account_id": "00000000-0000-0000-0000-000000000000",
          "external_account_id": "string",
          "account_name": "string",
          "is_external_account": true,
          "status": "string",
          "permission_profile": {
            "id": 1,
            "name": "string"
          },
          "created_on": "2024-01-15T09:30:00Z",
          "groups": [
            {
              "id": 1,
              "name": "string",
              "type": "string"
            }
          ],
          "is_admin": true,
          "id": "string",
          "license_type": "string",
          "plan_name": "string",
          "subscription_id": "string"
        }
      ],
      "identities": [
        {
          "id": "00000000-0000-0000-0000-000000000000",
          "provider_id": "00000000-0000-0000-0000-000000000000",
          "user_id": "00000000-0000-0000-0000-000000000000",
          "immutable_id": "string",
          "error_details": {
            "error": "string",
            "error_description": "string"
          }
        }
      ],
      "device_verification_enabled": true,
      "allow_extend_org_admin_rights_to_self": true,
      "allow_two_step_verification_snooze": true,
      "is_managed_by_scim": true,
      "require_two_step_verification": true
    }
  ]
}
```